### Hierarchy

- NetworkStatusComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- noInternetConnection

### Methods

- handleNetworkChange
- ngOnInit

## Constructors

### constructor

- new NetworkStatusComponent(cdr: ChangeDetectorRef): NetworkStatusComponent

- - Defined in src/app/shared/network-status/network-status.component.ts:10

  #### Parameters

  - ##### cdr: ChangeDetectorRef

  #### Returns NetworkStatusComponent

## Properties

### noInternetConnection

noInternetConnection: boolean = !navigator.onLine

- Defined in src/app/shared/network-status/network-status.component.ts:10

## Methods

### handleNetworkChange

- handleNetworkChange(): void

- - Defined in src/app/shared/network-status/network-status.component.ts:18

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Implementation of OnInit.ngOnInit

  - Defined in src/app/shared/network-status/network-status.component.ts:16

  #### Returns void

Generated using TypeDoc